GDB (xrefs)

Public Attributes | List of all members
internalvar Struct Reference

## Public Attributes
struct internalvar * | next
char * | name
enum internalvar_kind | kind
union internalvar_data | u

## Detailed Description

Definition at line 2070 of file value.c.

## Member Data Documentation

## ◆ kind

enum internalvar_kind internalvar::kind

Definition at line 2079 of file value.c.

Referenced by clear_internalvar(), compile_internalvar_to_ax(), create_internalvar(), create_internalvar_type_lazy(), get_internalvar_function(), get_internalvar_integer(), init_if_undefined_command(), preserve_one_internalvar(), set_internalvar(), set_internalvar_component(), set_internalvar_function(), set_internalvar_integer(), set_internalvar_string(), and value_of_internalvar().

## ◆ name

char* internalvar::name

Definition at line 2073 of file value.c.

Referenced by complete_internalvar(), create_internalvar(), internalvar_name(), lookup_only_internalvar(), set_internalvar(), show_convenience(), and value_of_internalvar().

## ◆ next

struct internalvar* internalvar::next

Definition at line 2072 of file value.c.

Referenced by gdb.FrameIterator.FrameIterator::__next__(), complete_internalvar(), create_internalvar(), lookup_only_internalvar(), preserve_values(), and show_convenience().

## ◆ u

union internalvar_data internalvar::u

Definition at line 2081 of file value.c.

Referenced by clear_internalvar(), compile_internalvar_to_ax(), create_internalvar_type_lazy(), get_internalvar_function(), get_internalvar_integer(), preserve_one_internalvar(), set_internalvar(), set_internalvar_component(), set_internalvar_function(), set_internalvar_integer(), set_internalvar_string(), and value_of_internalvar().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/value.c